import java.applet.Applet;
import java.awt.*;
import java.awt.event.*;
import java.applet.*;
import java.awt.geom.*;
import java.math.*;

/**Documentation file*/


public class DocumentControl {

    public static void sendTo(DocumentCanvas D,String S) {
	try{
          D.setExplain(S);
          D.repaint();   
	  D.Y0=0;
          D.Y1=0;
	}
	catch(Exception e) {}
    }


    public static void action(DocumentCanvas D) {
	String S="test mode";
	S=S+"\n\nThere are 3 main modes for this program.  You select one of the 3 modes and then press the green button.  If you want to stop the calculation, you press the red button. ";
	S=S+"\n\n1. float:  This does the floating point version of the calculation.  This is very fast.  Once the calculation is done, you should use the sliders to prove the partition produced.";

	S=S+"\n\n2. integer:  This does the integer version of the calculations.  This is much slower.  It takes about 2 minutes.  It is fun to watch, though, if you keep the slice motion on the dynamic mode. You can zoom into the picture around the critical region to see more of the action.  As the program runs, you will see blue squares produced and red squares produced. The red squares are outside the bounds of the calculation for one reason or another.  They are irrelevant.";

	S=S+"\n\n3. debug. This checks that the floating point definitions of the main functions agree to high precision with the BigRational versions.  The BigRational versions, which are used in the formal proof, are rather hard to read.  the floating point routines are much easier to read.  The fact that the two versions match is very strong evidence that we have correctly programmed the BigRational versions.";

	sendTo(D,S);
    }



    public static void motion(DocumentCanvas D) {
	String S="slicer motion";
	S=S+"\n\nThis controls how the display works as the divide and conquer algorithm is run.  In the static mode, the slice does not change as boxes are added to the partition.  In the dynamic more, the slice is moved to the center of the most current box.  For the floating point calculations, this is too fast to see. For the integer calculations the dynamic feature works very nicely.";
        sendTo(D,S);
    }


    public static void display(DocumentCanvas D) {
	String S="export";
	S=S+"\n\nThis controls lets you export pictures. The pics are saved in a directory called Output.  To get a picture you have to run the auxiliary tcl program and then use its postscript-export feature.  This is a pain.  You should probably just ignore this feature.";
        sendTo(D,S);
    }


}


